| Home | Libraries | People | FAQ | More

## Class invalid_command_line_style

boost::program_options::invalid_command_line_style

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class invalid_command_line_style : public boost::program_options::error {
    public:
      // construct/copy/destruct
      invalid_command_line_style(const std::string &);
    };

## Description

Class thrown when there are programming error related to style

### `invalid_command_line_style` public construct/copy/destruct

1.     invalid_command_line_style(const std::string & msg);